Bug 253384 - Second-level menus accept keyboard but not mouse input
Summary: Second-level menus accept keyboard but not mouse input
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2   
(Show other bugs)
Version: rawhide
Hardware: All Linux
high
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-18 16:51 UTC by Stewart Adam
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-15 13:17:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stewart Adam 2007-08-18 16:51:29 UTC
Description of problem:
Any second-level menu from programs using gtk2 cannot accept input from the
mouse, although keyboard works. For example, when selecting a file in Nautilus
and by using the mouse "right-click > Properties" work perfectly but
"right-click > Scripts > anyscript" does not work. The menus will disappear as
normal after the click but no action is taken by the program as if the menu was
never shown or clicked on.

If using the keyboard  (hitting <enter> instead of a click), the menu functions
as normal and the program will performed the desired operation.

Version-Release number of selected component (if applicable):
gtk2-2.11.6-6.fc8
glib-1.2.10-27.fc8

How reproducible:
Always

Steps to Reproduce:
1. Right-click and choose a second-level entry with mouse
  
Actual results:
The menu disappears but no action is taken by the program

Expected results:
Second-level menus via right-click can be used properly.

Additional info:
Only started after yum updating from F7 to F8T1.

Comment 1 Stewart Adam 2007-08-29 23:02:55 UTC
Still present in gtk2-2.11.6-7.fc8 and glib-1.2.10-28.fc8


Comment 2 Stewart Adam 2007-09-15 03:17:26 UTC
Holding the right-click button seems to work; If the button remains held from
the right-click to the release on the menu entry it works. If I right-click,
release, then click left-click on the entry I want it doesn't work.

Comment 3 Matthias Clasen 2007-09-15 13:17:51 UTC
this is fixed in gtk2-2.12.0


Note You need to log in before you can comment on or make changes to this bug.